<template>
  <el-collapse-item
    v-if="!termcondition?.IsHidden"
    :name="termcondition?.HtmlId"
  >
    <template #title>
      <div
        class="text-[21px] font-bold text-[color:var(--title-font-color)] leading-[1.7] py-2"
      >
        {{ termcondition?.Text }}
      </div>
      <div class="el-icon-customize"></div>
    </template>
    <div class="pt-4 px-4 text-[color:var(--font-color-primary)]">
      <slot></slot>
    </div>
  </el-collapse-item>
</template>
<script lang="ts">
import { defineComponent, PropType } from "vue";
import { IThemePropertiesFromApi } from "@/models/companyThemePropertiesRespone";

export default defineComponent({
  name: "CollapseItem",
  props: {
    termcondition: {
      type: Object as PropType<IThemePropertiesFromApi>,
      require: true,
    },
  },
  setup() {
    return {};
  },
});
</script>
<style scoped>
:deep(.el-collapse-item__header) {
  padding-left: 1rem;
  padding-right: 1rem;
}
</style>
